# typed: strict
# frozen_string_literal: true

module HasDescriptionHtmlForView
  extend T::Sig
  extend T::Helpers
  requires_ancestor { Object }

  abstract!

  sig { overridable.returns(T.nilable(String)) }
  def description_html_for_view
    nil
  end

  sig { abstract.returns(String) }
  def description_html_base_domain
  end
end
